﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.import.EditModel
@{
    /* Constants */
    ViewData["Title"] = "Edit Import";

    /* Default value */
    string sInfo = string.Empty;
    bool bFlag = false;
    Import import = new Import() { };

    /* Get import id */
    string importID = Request.Query["id"];

    /* Read the import detail */
    Import? isImport = BUS_Import.ReadInfo(importID);

    if (null == isImport)
    {
        sInfo = "This Import order is not exists";
        bFlag = true;
    }
    else
    {
        /* Get import */
        import = isImport.Value;

        if (Request.Method == "POST")
        {
            /* Set a flag to indicate the user posted the form */
            bFlag = true;

            /* Get new import attributes */
            string sID = Request.Form["id"];
            string sUser = Request.Form["user"];
            string sDate = Request.Form["date"];

            /* Returns an empty string in case the new import is successfully added */
            sInfo = BUS_Import.Edit(sID, sUser, sDate, ref import);
        }
    }
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/import" class="link-primary text-decoration-none">Import</a>
        >
        <a href="/import/edit?id=@importID" class="link-primary text-decoration-none">Edit</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Import attributes</p>
        @if (bFlag)
        {
            if (string.IsNullOrEmpty(sInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Edited import successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@sInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-3">
            <label for="id" class="form-label">Import ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@import.ID" placeholder="Import ID" maxlength="30" required>
        </div>
        <div class="col-md-3">
            <label for="user" class="form-label">Import Name</label>
            <input class="form-control" type="text" id="user" name="user" value="@import.User" placeholder="Import User" maxlength="30" required>
        </div>
        <div class="col-md-3">
            <label for="date" class="form-label">Import Date</label>
            <input class="form-control" type="date" id="date" name="date" value="@import.Date" required>
        </div>
        <div class="col-md-3 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-warning text-light" type="submit" value="Edit">
        </div>
    </form>
</div>

<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="text-start fw-bold">Current import attributes</p>
    </div>
    <div class="text-center table_section">

        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>Import ID</th>
                    <th>Import User</th>
                    <th>Import Date</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>@import.ID</td>
                    <td>@import.User</td>
                    <td>@import.Date</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
